Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.acewiki.core.ontology
Class Individual

    java.lang.Object
      ch.uzh.ifi.attempto.acewiki.core.ontology.OntologyElement
          ch.uzh.ifi.attempto.acewiki.core.ontology.Individual

All Implemented Interfaces:
  java.lang.Comparable<OntologyElement>

    public class Individual

extends OntologyElement

This class represents an individual (in logic called "constant"). AceWiki supports only proper names to represent individuals (and no extensions are planned in this respect). For that reason, this class is proper name specific.

Proper names can be used with a definite article (e.g. "the Nile") or without (e.g. "Egypt").

Proper names have two word forms. The first one is the proper name with the definite article if there is one. The second one is just the bare proper name. In the case of proper names that do not use a definite article, both word forms are identical.

0: proper name, preceded by "the" if used with definite article. 1: bare proper name.

Examples: ["the Nile", "Nile"]; ["Egypt", "Egypt"].

Author:
  Tobias Kuhn

Constructor Summary
`Individual()` Creates a new individual that has no name yet and is not registered to an ontology.

Method Summary
`boolean` | `areConceptsCached()` Returns true if the concepts of this individual are cached and do not have to be recalculated.
`protected void` | `changeWords(java.lang.String... words)` Changes the word forms without updating the ontology indexes.
`java.util.List<Concept>` | `getConcepts()` Returns all concepts this individual belongs to.
`java.lang.String` | `getHeadword()` Returns the headword that is used in the GUI to refer to this ontology element.
`java.lang.String` | `getInternalType()` Returns the word type as it is used internally.
`java.lang.String` | `getType()` Returns the word type as it is shown to the user.
`java.lang.String` | `getURISuffix()` Returns the URI suffix of this ontology element.
`java.lang.String[]` | `getWords()` Returns the word forms.
`boolean` | `hasDefiniteArticle()` Returns true if the proper name has to be used with the definite article "the".

Methods inherited from class ch.uzh.ifi.attempto.acewiki.core.ontology.OntologyElement
`add, compareTo, edit, getOntology, getPrettyWord, getSentences, getURI, getWord, getWord, log, registerAt, remove, setWords, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Individual

    public Individual()

  Creates a new individual that has no name yet and is not registered to an ontology.

Method Detail

### getWords

    public java.lang.String[] getWords()

  Description copied from class: `OntologyElement`
  Returns the word forms. The position in the array corresponds to the word form id.

  Specified by:
    `getWords` in class `OntologyElement`
  Returns:
    An array containing the word forms.

### getHeadword

    public java.lang.String getHeadword()

  Description copied from class: `OntologyElement`
  Returns the headword that is used in the GUI to refer to this ontology element. For example, it is used for the title of the article. Unless overridden, it is the same as the pretty-printed word form with the id 0.

  Overrides:
    `getHeadword` in class `OntologyElement`
  Returns:
    The headword.

### changeWords

    protected void changeWords(java.lang.String... words)

  Description copied from class: `OntologyElement`
  Changes the word forms without updating the ontology indexes. The order reflects the word form ids.

  Specified by:
    `changeWords` in class `OntologyElement`
  Parameters:
    `words` - The word forms.

### getType

    public java.lang.String getType()

  Description copied from class: `OntologyElement`
  Returns the word type as it is shown to the user. Newer versions of AceWiki can savely change this value.

  Specified by:
    `getType` in class `OntologyElement`
  Returns:
    The word type.

### getInternalType

    public java.lang.String getInternalType()

  Description copied from class: `OntologyElement`
  Returns the word type as it is used internally. Changing this value in newer versions of AceWiki breaks backwards compatibility for loading ontologies.

  Specified by:
    `getInternalType` in class `OntologyElement`
  Returns:
    The internal word type.

### hasDefiniteArticle

    public boolean hasDefiniteArticle()

  Returns true if the proper name has to be used with the definite article "the".

  Returns:
    true if the definite article "the" has to be used.

### getURISuffix

    public java.lang.String getURISuffix()

  Description copied from class: `OntologyElement`
  Returns the URI suffix of this ontology element. For example "#country".

  Overrides:
    `getURISuffix` in class `OntologyElement`
  Returns:
    The URI suffix.
  See Also:
    `OntologyElement.getURI()`

### getConcepts

    public java.util.List<Concept> getConcepts()

  Returns all concepts this individual belongs to.

  Returns:
    A list of all concepts of this individual.
  See Also:
    `Ontology.getConcepts(Individual)`

### areConceptsCached

    public boolean areConceptsCached()

  Returns true if the concepts of this individual are cached and do not have to be recalculated.

  Returns:
    true if the concepts are cached.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)